## org.eclipse.emf.importer.rose.parser
Class RoseLoader

    java.lang.Object
      org.eclipse.emf.importer.rose.parser.RoseComponent
          org.eclipse.emf.importer.rose.parser.RoseLoader

    public class RoseLoader

extends RoseComponent

A loader that creates Buffered Reader.

Field Summary
`protected java.io.BufferedReader` `bufferedReader`
`protected long` `currentLength`
`protected long` `length`
`protected int` `lower`
`protected int` `oldValue`
`static java.lang.String` `PROGRESS`
`protected int` `progressIncrement`
`protected int` `upper`
`protected boolean` `valid`

Fields inherited from class org.eclipse.emf.importer.rose.parser.RoseComponent
`listeners`

Constructor Summary
`RoseLoader(java.lang.String fileName, URIConverter uriConverter)`

Method Summary
`void` `close()`
`int` `getLower()`
`int` `getUpper()`
`boolean` `isValid()`
`java.lang.String` `readLine()`
`void` `setLower(int lower)`
`void` `setProgressIncrement(int progressIncrement)`
`void` `setUpper(int upper)`

Methods inherited from class org.eclipse.emf.importer.rose.parser.RoseComponent
`addPropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROGRESS

    public static final java.lang.String PROGRESS

See Also:
  Constant Field Values

### valid

    protected boolean valid

### bufferedReader

    protected java.io.BufferedReader bufferedReader

### length

    protected long length

### currentLength

    protected long currentLength

### progressIncrement

    protected int progressIncrement

### oldValue

    protected int oldValue

### lower

    protected int lower

### upper

    protected int upper

Constructor Detail

### RoseLoader

    public RoseLoader(java.lang.String fileName,
                      URIConverter uriConverter)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### isValid

    public boolean isValid()

### setProgressIncrement

    public void setProgressIncrement(int progressIncrement)

### setLower

    public void setLower(int lower)

### getLower

    public int getLower()

### setUpper

    public void setUpper(int upper)

### getUpper

    public int getUpper()

### readLine

    public java.lang.String readLine()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.